﻿/////////////////////////////////////////////////////////////////////////////////////////////////////////////
// 
// .NET Source Code
// Copyright © 2012 MobilEyze, LLC
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
// 
// Author	Date		Comment
// =========================================================================================================
// NLW      12 Feb 2012 Created 
///////////////////////////////////////////////////////////////////////////////////////////////////////////////
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MobilEyze.Tools.DataLogger.ToolSuite.Interfaces;

namespace MobilEyze.Tools.DataLogger.ToolSuite
{
    public class AppServices : IAppServices
    {
        #region IAppServices Members

        public string OpenFileDialog(string fileName, string filter, string defaultExt)
        {
            Microsoft.Win32.OpenFileDialog ofd = new Microsoft.Win32.OpenFileDialog();
            ofd.Filter = filter;
            ofd.DefaultExt = defaultExt;
            ofd.Multiselect = false;
            ofd.FileName = fileName;
            bool? result = ofd.ShowDialog();
            if (!result.HasValue || result == false)
                return string.Empty;

            return ofd.FileName;
        }

        public string SaveFileDialog(string fileName, string filter, string defaultExt)
        {
            Microsoft.Win32.SaveFileDialog sfd = new Microsoft.Win32.SaveFileDialog();
            sfd.Filter = filter;
            sfd.DefaultExt = defaultExt;
            sfd.FileName = fileName;
            bool? result = sfd.ShowDialog();
            if (!result.HasValue || result == false)
                return string.Empty;

            return sfd.FileName;
        }
        #endregion
    }
}
